# Uses of Interface
org.eclipse.emf.cdo.security.Permission

Packages that use Permission
Package
Description
org.eclipse.emf.cdo.security
The generated EMF API of the CDO security model.
org.eclipse.emf.cdo.security.impl
The generated EMF implementation of the CDO security model.
org.eclipse.emf.cdo.security.util
The generated EMF utilities of the CDO security model.

## Uses of Permission in org.eclipse.emf.cdo.security

Subinterfaces of Permission in org.eclipse.emf.cdo.security
Modifier and Type
Interface
Description
`interface`
`ClassPermission`
Deprecated.
As of 4.3 use `FilterPermission` and `ClassFilter`.
`interface`
`FilterPermission`
A representation of the model object 'Filter Permission'.
`interface`
`ObjectPermission`
Deprecated.
As of 4.3 use `FilterPermission` and `ObjectFilter`.
`interface`
`PackagePermission`
Deprecated.
As of 4.3 use `FilterPermission` and `PackageFilter`.
`interface`
`ResourcePermission`
Deprecated.
As of 4.3 use `FilterPermission` and `ResourceFilter`.
Methods in org.eclipse.emf.cdo.security that return types with arguments of type Permission
Modifier and Type
Method
Description
`static BasicEList<Permission>`
RealmUtil.`allPermissions(EList<SecurityItem> items)`
`EList<Permission>`
Realm.`getAllPermissions()`
Returns the value of the 'All Permissions' reference list.
`EList<Permission>`
User.`getAllPermissions()`
Returns the value of the 'All Permissions' reference list.
`EList<Permission>`
Role.`getPermissions()`
Returns the value of the 'Permissions' containment reference list.

## Uses of Permission in org.eclipse.emf.cdo.security.impl

Classes in org.eclipse.emf.cdo.security.impl that implement Permission
Modifier and Type
Class
Description
`class`
`ClassPermissionImpl`
Deprecated.
`class`
`FilterPermissionImpl`
An implementation of the model object 'Filter Permission'.
`class`
`ObjectPermissionImpl`
Deprecated.
`class`
`PackagePermissionImpl`
Deprecated.
`class`
`PermissionImpl`
An implementation of the model object 'Permission'.
`class`
`ResourcePermissionImpl`
Deprecated.
Methods in org.eclipse.emf.cdo.security.impl that return types with arguments of type Permission
Modifier and Type
Method
Description
`EList<Permission>`
RealmImpl.`getAllPermissions()`
`EList<Permission>`
UserImpl.`getAllPermissions()`
`EList<Permission>`
RoleImpl.`getPermissions()`

## Uses of Permission in org.eclipse.emf.cdo.security.util

Methods in org.eclipse.emf.cdo.security.util with parameters of type Permission
Modifier and Type
Method
Description
`T`
SecuritySwitch.`casePermission(Permission object)`
Returns the result of interpreting the object as an instance of 'Permission'.
`boolean`
SecurityValidator.`validatePermission(Permission permission, DiagnosticChain diagnostics, Map<Object,Object> context)`